Jump to content
ednique

[Contribution] Ship In Cart

Recommended Posts

Posted (edited)
7 hours ago, burt said:

 

That "someone" would be YOU.  If actual coding is too complicated for you, then you get it done by a competent coder and release it as an update.

Don't rely on someone else all the time - be proactive yourself.

 

Unfortunately I'm not a coder and I can't afford to pay one, otherwise I wouldn't have the need to be here asking for help in a community that has always been so helpful. The only thing I have to contribute right now is my time. So I'm testing a lot of addons that I think would be useful and luckily most of them are working fine in the latest version. The ones that are not I'm trying to fix the best I can, but sometimes it's over my head, like this one.

Anyway, thank you for being such a great helper. I appreciate your efforts. Phoenix is the best osCommerce has been ever! 🙂

Edited by Patty

Patty

Share this post


Link to post
Share on other sites
9 hours ago, raiwa said:

It works with Phoenix 1.0.5.0

 

I'm testing the latest version. No problem. I'll wait. Tks!


Patty

Share this post


Link to post
Share on other sites

Installed this contribution. However The Totals Estimator Shows up Left Justified along with some word wrap. Installed stock as-is. Suggestions?

image.thumb.png.fa3514052d75baade44dfe756584dae4.png

Share this post


Link to post
Share on other sites

Adjust the modules content width to 12

It looks like you are using an incorrect version for your store version.

Please read the following post and provide more information:

How to get the help you need.

Share this post


Link to post
Share on other sites
6 hours ago, raiwa said:

Adjust the modules content width to 12

It looks like you are using an incorrect version for your store version.

Please read the following post and provide more information:

How to get the help you need.

Thanks Raiwa-

It's very possible that I have installed an incorrect version of the 'Modular_shopping_cart_2.0.'

My store is version to the best of my knowledge is v2.3.4.1 CE (BS4 Edge?)

Width of module is already set to 12.  (I Disabled it so it doesn't show up on Live store for now)

 

Not the end of the world but any advice or direction would be appreciated.

image.png.7cd7a780fa0b560bd4e0d8eaa4b0688a.png

Thanks sir...

Share this post


Link to post
Share on other sites

There is no modular shopping cart and ship in cart version for 2.3.4 BS4 available.

So it seems you are using the BS3 versions in your BS4 store which will not fit together

Modular shopping cart has been integrated into Phoenix core in an early version, i believe 1.0.1.0 or 1.0.2.0. A separate BS4 version has not been released.

So you have  to pickup it from Phoenix and add to your store.

Then use also Ship in cart for Phoenix.

Another possibility would be, and it is recommended, to update your whole store to latest Phoenix.

Share this post


Link to post
Share on other sites
On 4/26/2020 at 7:33 PM, Patty said:

Fatal error: Uncaught Error: Call to a member function fetch_to_address() on null in C:\xampp\htdocs\Phoenix1058\includes\system\versioned\1.0.5.3\order.php:170 Stack trace: #0 C:\xampp\htdocs\Phoenix1058\includes\system\versioned\1.0.5.3\order.php(27): order->cart() #1 C:\xampp\htdocs\Phoenix1058\includes\modules\content\shopping_cart\cm_sc_shipping.php(61): order->__construct() #2 C:\xampp\htdocs\Phoenix1058\includes\system\versioned\1.0.4.0\osc_template.php(147): cm_sc_shipping->execute() #3 C:\xampp\htdocs\Phoenix1058\shopping_cart.php(15): oscTemplate->getContent('shopping_cart') #4 {main} thrown in C:\xampp\htdocs\Phoenix1058\includes\system\versioned\1.0.5.3\order.php on line 170

Just to inform that this error is still occurring on v1.0.7.1
I was hoping that maybe it would've fixed itself on newer version, but unfortunately it hasn't.
 


Patty

Share this post


Link to post
Share on other sites
Posted (edited)
16 minutes ago, raiwa said:

How should this be fixed if ship in cart has not been updated yet.

I just thought that maybe some of the changes in one of the latest versions could have fixed it. So I just tried today on 1.0.7.1 and thought it was worth mentioning it so maybe it would save somebody else's time in trying.
I know the addon hasn't been updated yet.

Edited by Patty

Patty

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×